[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDbGridCheckBoxBitmapEvent

Specifies an event handler signalled to get the user-specified Bitmap for a check box column in a grid control.

## Declaration

Source position: dbgrids.pas line 118

`type TDbGridCheckBoxBitmapEvent = procedure(`
`Sender: TObject;`
`const CheckedState: TCheckBoxState;`
`var ABitmap: TBitmap`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`CheckedState` |  | Checked state for the bitmap returned from the event handler.
`ABitmap` |  | Bitmap instance for the specified checked state.

## Description

TDbGridCheckBoxBitmapEvent is the type used implement the TCustomDBGrid.OnCheckboxBitmap property.

## See also

TCustomDBGrid.OnUserCheckboxBitmap |  | Event handler signalled to get the image used for a check box entry on the grid.
TCustomGrid.GetImageForCheckBox |  | Gets the bitmap used to draw check box columns in the grid.